netatalk: headers.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
headers.c File Reference
`#include <sys/param.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <netatalk/at.h>`
`#include <atalk/logger.h>`
`#include "file.h"`
`#include "comment.h"`
`#include "lp.h"`

## Functions
int | ch_title (struct papfile *, struct papfile *, struct sockaddr_at *)
int | ch_for (struct papfile *, struct papfile *, struct sockaddr_at *)
static char * | get_text (char *start, int linelength)
static int | guess_creator (char *creator)
int | ch_creator (struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
int | ch_endcomm (struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
int | ch_starttranslate (struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
int | ch_endtranslate (struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
int | ch_translateone (struct papfile *in, struct papfile *out, struct sockaddr_at *sat)

## Variables
struct papd_comment | headers []

## Function Documentation

## ◆ ch_creator()

int ch_creator | ( | struct papfile * | in,
|  | struct papfile * | out,
|  | struct sockaddr_at * | sat )

## ◆ ch_endcomm()

int ch_endcomm | ( | struct papfile * | in,
|  | struct papfile * | out,
|  | struct sockaddr_at * | sat )

## ◆ ch_endtranslate()

int ch_endtranslate | ( | struct papfile * | in,
|  | struct papfile * | out,
|  | struct sockaddr_at * | sat )

## ◆ ch_for()

int ch_for | ( | struct papfile * | in,
|  | struct papfile * | out,
|  | struct sockaddr_at * | sat )

## ◆ ch_starttranslate()

int ch_starttranslate | ( | struct papfile * | in,
|  | struct papfile * | out,
|  | struct sockaddr_at * | sat )

## ◆ ch_title()

int ch_title | ( | struct papfile * | in,
|  | struct papfile * | out,
|  | struct sockaddr_at * | sat )

## ◆ ch_translateone()

int ch_translateone | ( | struct papfile * | in,
|  | struct papfile * | out,
|  | struct sockaddr_at * | sat )

## ◆ get_text()

char * get_text | ( | char * | start,
|  | int | linelength )
| static

## ◆ guess_creator()

int guess_creator | ( | char * | creator | ) |
| static

## Variable Documentation

## ◆ headers

struct papd_comment headers[]

Initial value:
= {
{ "%%Title:", NULL, ch_title, 0 },
{ "%%For:", NULL, ch_for, 0 },
{ "%%Creator:", NULL, ch_creator, 0 },
{ "%%EndComments", NULL, ch_endcomm, 0 },
{ "%%BeginFeature", NULL, ch_starttranslate, 0 },
{ "%%EndFeature", NULL, ch_endtranslate, 0 },
{ "%%BeginPageSetup", NULL, ch_starttranslate, 0 },
{ "%%EndPageSetup", NULL, ch_endtranslate, 0 },
{ "%%", NULL, ch_translateone, 0 },
{ NULL, NULL, NULL, 0 },
}
ch_title
int ch_title(struct papfile *, struct papfile *, struct sockaddr_at *)
Definition headers.c:118
ch_for
int ch_for(struct papfile *, struct papfile *, struct sockaddr_at *)
Definition headers.c:86
ch_starttranslate
int ch_starttranslate(struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
Definition headers.c:225
ch_translateone
int ch_translateone(struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
Definition headers.c:275
ch_endcomm
int ch_endcomm(struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
Definition headers.c:198
ch_endtranslate
int ch_endtranslate(struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
Definition headers.c:250
ch_creator
int ch_creator(struct papfile *in, struct papfile *out, struct sockaddr_at *sat)
Definition headers.c:165
NULL
#define NULL
Definition utf8util.c:47